ru.bitel.bgbilling.kernel.event

## Class ExecutorEventWorker

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.AbstractExecutorEventWorker
  - - ru.bitel.bgbilling.kernel.event.ExecutorEventWorker

- All Implemented Interfaces:
    javax.jms.MessageListener, ru.bitel.bgbilling.kernel.application.server.Lifecycle, EventListener<Event>

      public abstract class ExecutorEventWorker
      extends AbstractExecutorEventWorker
      implements EventListener<Event>, javax.jms.MessageListener, ru.bitel.bgbilling.kernel.application.server.Lifecycle

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExecutorEventWorker.ContractExecutorEventWorker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExecutorEventWorker.ContractExecutorEventWorker` | `executor`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.AbstractExecutorEventWorker

      `consumer, moduleId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorEventWorker(ExecutorEventWorker.ContractExecutorEventWorker executor, EventProcessor ep, java.lang.Class<? extends Event> clazz, int moduleId, int pluginId, java.lang.String query)`
    `ExecutorEventWorker(ExecutorEventWorker.ContractExecutorEventWorker executor, EventProcessor ep, java.lang.String destination, int moduleId, int pluginId, java.lang.String query, java.lang.Class<?>... clazz)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onMessage(javax.jms.Message message)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.AbstractExecutorEventWorker

      `shutdown, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.event.EventListener

      `notify`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.application.server.Lifecycle

      `start, stop`

- - ### Field Detail

    - #### executor

          protected final ExecutorEventWorker.ContractExecutorEventWorker executor

  - ### Constructor Detail

    - #### ExecutorEventWorker

          public ExecutorEventWorker(ExecutorEventWorker.ContractExecutorEventWorker executor,
                                     EventProcessor ep,
                                     java.lang.Class<? extends Event> clazz,
                                     int moduleId,
                                     int pluginId,
                                     java.lang.String query)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### ExecutorEventWorker

          public ExecutorEventWorker(ExecutorEventWorker.ContractExecutorEventWorker executor,
                                     EventProcessor ep,
                                     java.lang.String destination,
                                     int moduleId,
                                     int pluginId,
                                     java.lang.String query,
                                     java.lang.Class<?>... clazz)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### onMessage

          public void onMessage(javax.jms.Message message)

      Specified by:
        `onMessage` in interface `javax.jms.MessageListener`